Get current security deployment
-
GET
/platform/configuration/security/deployment
Auth
Retrieves the current security deployment.
The security deployment was successfully returned
application/json
-
cluster_id
string
required
-
The identifier for the security deployment cluster
-
deployment_id
string
-
The identifier for the security deployment
-
name
string
required
-
The name of the security deployment cluster
-
version
string
-
The version of the Elasticsearch cluster
-
status
enum
required
-
The current status of the cluster
-
Values:
initializing
stopping
stopped
rebooting
restarting
reconfiguring
started
-
has_pending_plan
boolean
required
-
True if a pending plan is in progress
-
is_healthy
boolean
required
-
True if the cluster is healthy
-
is_enabled
boolean
required
-
True if the security cluster is currently enabled
The realm specified by {realm_id} cannot be found. (code: security_deployment.not_found)
application/json
-
errors
object[]
required
-
A list of errors that occurred in the failing request
-
-
code
string
required
-
A structured code representing the error type that occurred
-
message
string
required
-
A human readable message describing the error that occurred
-
fields
string[]
-
If the error can be tied to a specific field or fields in the user request, this lists those fields